Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.plugin.rendering
Interface RenderingPluginTypes

    public interface RenderingPluginTypes

Built in `RenderingPluginType`s. To categorise your `RenderingPlugin`s, you can use these types, or create your own types.

Since:
  8.5

Nested Class Summary
`static class` | `RenderingPluginTypes.Connector` RenderingPluginType Connector type
`static class` | `RenderingPluginTypes.Content` RenderingPluginType for Content type
`static class` | `RenderingPluginTypes.Logic` RenderingPluginType for Logic type
`static class` | `RenderingPluginTypes.Other` Implementation of RenderingPluginType for non classified rendering plugins
`static class` | `RenderingPluginTypes.Page` RenderingPluginType for Page type
`static class` | `RenderingPluginTypes.Portal` RenderingPluginType for Portal type
`static class` | `RenderingPluginTypes.Portlet` RenderingPluginType for Portlet type
`static class` | `RenderingPluginTypes.RenderingState` RenderingPluginType for RenderingState type
`static class` | `RenderingPluginTypes.Social` RenderingPluginType for Social type
`static class` | `RenderingPluginTypes.User` RenderingPluginType for User type

Field Summary
`static RenderingPluginTypes.Connector` | `CONNECTOR` Constant RenderingPluginType for Connector type
`static RenderingPluginTypes.Content` | `CONTENT` Constant RenderingPluginType for Content type
`static RenderingPluginTypes.Logic` | `LOGIC` Constant RenderingPluginType for Logic type
`static RenderingPluginTypes.Other` | `OTHER` Constant RenderingPluginType for non classified type
`static RenderingPluginTypes.Page` | `PAGE` Constant RenderingPluginType for Page type
`static RenderingPluginTypes.Portal` | `PORTAL` Constant RenderingPluginType for Portal type
`static RenderingPluginTypes.Portlet` | `PORTLET` Constant RenderingPluginType for Portlet type
`static RenderingPluginTypes.RenderingState` | `RENDERING_STATE` Constant RenderingPluginType for RenderingState type
`static RenderingPluginTypes.Social` | `SOCIAL` Constant RenderingPluginType for Social type
`static RenderingPluginTypes.User` | `USER` Constant RenderingPluginType for User type

Field Detail

### LOGIC

    static final RenderingPluginTypes.Logic LOGIC

  Constant RenderingPluginType for Logic type

### USER

    static final RenderingPluginTypes.User USER

  Constant RenderingPluginType for User type

### CONTENT

    static final RenderingPluginTypes.Content CONTENT

  Constant RenderingPluginType for Content type

### PORTLET

    static final RenderingPluginTypes.Portlet PORTLET

  Constant RenderingPluginType for Portlet type

### PAGE

    static final RenderingPluginTypes.Page PAGE

  Constant RenderingPluginType for Page type

### RENDERING_STATE

    static final RenderingPluginTypes.RenderingState RENDERING_STATE

  Constant RenderingPluginType for RenderingState type

### PORTAL

    static final RenderingPluginTypes.Portal PORTAL

  Constant RenderingPluginType for Portal type

### SOCIAL

    static final RenderingPluginTypes.Social SOCIAL

  Constant RenderingPluginType for Social type

### CONNECTOR

    static final RenderingPluginTypes.Connector CONNECTOR

  Constant RenderingPluginType for Connector type

### OTHER

    static final RenderingPluginTypes.Other OTHER

  Constant RenderingPluginType for non classified type

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD